    import KeyedApi from 'f.lux/src/KeyedApi.js'

public class | source

# KeyedApi

API implementation for properties that support keyed access to child properties.

#### See:

- MapProperty
- ObjectProperty

## Constructor Summary

Public Constructor
public | constructor(property: *) |

## Method Summary

Public Methods
public | [Symbol.iterator](): * |
public | addProperty(name: *, property: *, automount: *): * |
public | addPropertyShader(name: *, shader: *, initialState: *, automount: *): * |
public | addPropertyType(name: *, stateType: *): * |
public | clear() |
public | delete(key: *): * |
public | entries(): * |
public | filter(callback: *, context: *): * |
public | get(key: *): * |
public | has(key: *): * |
public | impl(): * |
public | isActive(): * |
public | keys(): * |
public | keysArray(): * |
public | removeProperty(name: *) |
public | set(key: *, value: *) |
public | shadow(): * |
public | size(): * |
public | values(): * |
public | valuesArray(): * |

## Public Constructors

### public constructor(property: *) source

#### Params:

Name | Type | Attribute | Description
property | * |  |

## Public Methods

### public [Symbol.iterator](): * source

#### Return:

*

### public addProperty(name: *, property: *, automount: *): * source

#### Params:

Name | Type | Attribute | Description
name | * |  |
property | * |  |
automount | * |  |

#### Return:

*

### public addPropertyShader(name: *, shader: *, initialState: *, automount: *): * source

#### Params:

Name | Type | Attribute | Description
name | * |  |
shader | * |  |
initialState | * |  |
automount | * |  |

#### Return:

*

### public addPropertyType(name: *, stateType: *): * source

#### Params:

Name | Type | Attribute | Description
name | * |  |
stateType | * |  |

#### Return:

*

### public clear() source

### public delete(key: *): * source

#### Params:

Name | Type | Attribute | Description
key | * |  |

#### Return:

*

### public entries(): * source

#### Return:

*

### public filter(callback: *, context: *): * source

#### Params:

Name | Type | Attribute | Description
callback | * |  |
context | * |  |

#### Return:

*

### public get(key: *): * source

#### Params:

Name | Type | Attribute | Description
key | * |  |

#### Return:

*

### public has(key: *): * source

#### Params:

Name | Type | Attribute | Description
key | * |  |

#### Return:

*

### public impl(): * source

#### Return:

*

### public isActive(): * source

#### Return:

*

### public keys(): * source

#### Return:

*

### public keysArray(): * source

#### Return:

*

### public removeProperty(name: *) source

#### Params:

Name | Type | Attribute | Description
name | * |  |

### public set(key: *, value: *) source

#### Params:

Name | Type | Attribute | Description
key | * |  |
value | * |  |

### public shadow(): * source

#### Return:

*

### public size(): * source

#### Return:

*

### public values(): * source

#### Return:

*

### public valuesArray(): * source

#### Return:

*